#ifndef neo_ParameterGetListener_h_seen
#define neo_ParameterGetListener_h_seen

namespace neo {
namespace cca {
namespace ports {


 /** This interface is typically implemented by a 
   * component using the neo::ports::ParameterPortFactory dynamically.
  */
class ParameterGetListener {
public:
	
  virtual ~ParameterGetListener() {}
  
  /** Inform the listener that someone is about to fetch their 
   * typemap (well, a copy thereof). 
   */
  virtual void updateParameterPort(const std::string & portName)= 0;
}; // end interface ParameterGetListener

}  // end namespace ports
}  // end namespace cca
}  // end namespace neo
#endif // neo_ParameterGetListener_h_seen
