#ifndef __neoSTRINGCONSUMERPORT_H__
#define __neoSTRINGCONSUMERPORT_H__


namespace neo {
namespace cca {
namespace ports {

/** An example port for a standard interface for passing a string 
    to a component. 
    The canonical string name of this port is 
    "neo.cca.ports.StringConsumerPort". 
*/
class StringConsumerPort : public virtual ::neo::cca::Port {
private:
public:
	
  /** obligatory vdtor */
  virtual ~StringConsumerPort(){}

  /** Pass a string to the component. */
  virtual void setString(const std::string & s)= 0;
};


}  // end namespace ports
}  // end namespace cca
}  // end namespace neo

#endif // __neoSTRINGCONSUMERPORT_H__
