#ifndef __TIMESOURCEPORT_H__
#define __TIMESOURCEPORT_H__


namespace eg {
namespace neo {
namespace ports {

/** An example port for an interface for providing a time service. */
class TimeSourcePort : public virtual ::neo::cca::Port {
private:
public:
  /** obligatory vdtor */
  virtual ~TimeSourcePort(){}
  /** Produce the time as a string. */
  virtual ::std::string getTime() = 0;
};

}  // end namespace ports
}  // end namespace neo
}  // end namespace eg

#endif //__TIMESOURCEPORT_H__
